summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2002-01-27 07:48:13 +0000
committerJonas Smedegaard <dr@jones.dk>2002-01-27 07:48:13 +0000
commit987507df569c264184ba92bcc29a1191eb32c814 (patch)
tree7a9595df4d627b6dcd4bc2bb3c487f095673cdca
parent2f9c029734f63ca3c27f7865a896d0c4f39b7fe4 (diff)
Only deregister found files (filenames sometimes change from old to new package).
-rwxr-xr-xaptdpkgclean.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/aptdpkgclean.sh b/aptdpkgclean.sh
index 7de9b77..0291fdd 100755
--- a/aptdpkgclean.sh
+++ b/aptdpkgclean.sh
@@ -8,8 +8,9 @@ cat /var/lib/my_ro_hack.todel | while read file; do
b=`basename $file`; d=`dirname $file`
XF="${b#.}"; XF="$d/${XF%.dpkg-ro-used.*}"
- N2=`find "$XF" -printf "%i\n"`
+ N2=`find "$XF" -printf "%i\n"` || continue
+ [ -n "$XF" ] || continue
if [ "$N1" != "$N2" ] && ! fuser -s "$file"; then
rm -f "$file"
else